//
//  Generic24BitImage.h
//  PostureRecognizer
//
//  Created by Sebastian Hans on Thu Sep 02 2004.
//  Copyright (c) 2004 Sebastian Hans. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <opencv/cv.h>


@interface Generic24BitImage : NSObject
{
	int width, height;
	unsigned char *data;
}

- (Generic24BitImage*) fromNSImage: (NSImage*) source;
- (Generic24BitImage*) fromIplImage: (IplImage*) source;

- (NSImage*) toNSImage;
- (IplImage*) toIplImage;

@end
