//
//  Generic8BitImage.h
//  PostureRecognizerTest
//
//  Created by Sebastian Hans on Sun Aug 29 2004.
//  Copyright (c) 2004 Sebastian Hans. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <opencv/cv.h>


@interface Generic8BitImage : NSObject
{
	int width, height;
	unsigned char *data;
}

- (Generic8BitImage*) fromNSImage: (NSImage*) source;
- (Generic8BitImage*) fromIplImage: (IplImage*) source;

- (NSImage*) toNSImage;
- (IplImage*) toIplImage;

@end
